Quantcast

Problème avec Frescobaldi après l'installation de Ubuntu 17.04

classic Classique list Liste threaded Arborescence
10 messages Options
Répondre | Arborescence
Ouvrir ce message en vue arborescente
|  
Signaler un Contenu Inapproprié

Problème avec Frescobaldi après l'installation de Ubuntu 17.04

Gilles Tiar
Bonjour à tous,
Je viens de faire une nouvelle installation de Ubuntu (17.04), je réinstalle comme d'habitude mes logiciels. Une erreur interne paraît avec Frescobaldi, voici le contenu:
Traceback (most recent call last):
 c d e f g1 }File "/usr/share/frescobaldi/frescobaldi_app/musicview/pointandclick.py", line 44, in links
return _cache[document]
File "/usr/lib/python3.5/weakref.py", line 394, in __getitem__
return self.data[ref(key)]
KeyError: <weakref at 0x7fdb0968b6d8; to 'Document' at 0x7fdb201bce58>

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/share/frescobaldi/frescobaldi_app/musicview/widget.py", line 116, in openDocument
self._links = pointandclick.links(document)
File "/usr/share/frescobaldi/frescobaldi_app/musicview/pointandclick.py", line 54, in links
t = textedit.link(link.url())
File "/usr/share/frescobaldi/frescobaldi_app/textedit.py", line 48, in link
m = textedit_match(url)
TypeError: expected string or bytes-like object

Voici les infos relatives à Frescobaldi:

Frescobaldi: 3.0.0
Python: 3.5.3
python-ly: 0.9.4
Qt: 5.7.1
PyQt: 5.7
sip: 4.18.1
poppler: 0.44.0
python-poppler-qt: 0.24.2
OS: Linux-4.10.0-19-generic-x86_64-with-Ubuntu-17.04-zesty

Merci pour l'aide,

Gilles T.
Répondre | Arborescence
Ouvrir ce message en vue arborescente
|  
Signaler un Contenu Inapproprié

Re: Problème avec Frescobaldi après l'installation de Ubuntu 17.04

Gilles Tiar
Bonjour à tous,
(Même message avec infos visibles, je les avais mises en texte brut)
Je viens de faire une nouvelle installation de Ubuntu (17.04), je réinstalle comme d'habitude mes logiciels. Une erreur interne paraît avec Frescobaldi, voici le contenu:

Traceback (most recent call last):
 c d e f g1 }File "/usr/share/frescobaldi/frescobaldi_app/musicview/pointandclick.py", line 44, in links
return _cache[document]
File "/usr/lib/python3.5/weakref.py", line 394, in __getitem__
return self.data[ref(key)]
KeyError: <weakref at 0x7fdb0968b6d8; to 'Document' at 0x7fdb201bce58>

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/share/frescobaldi/frescobaldi_app/musicview/widget.py", line 116, in openDocument
self._links = pointandclick.links(document)
File "/usr/share/frescobaldi/frescobaldi_app/musicview/pointandclick.py", line 54, in links
t = textedit.link(link.url())
File "/usr/share/frescobaldi/frescobaldi_app/textedit.py", line 48, in link
m = textedit_match(url)
TypeError: expected string or bytes-like object


Voici les infos relatives à Frescobaldi:

Frescobaldi: 3.0.0
Python: 3.5.3
python-ly: 0.9.4
Qt: 5.7.1
PyQt: 5.7
sip: 4.18.1
poppler: 0.44.0
python-poppler-qt: 0.24.2
OS: Linux-4.10.0-19-generic-x86_64-with-Ubuntu-17.04-zesty


Merci pour l'aide,
Répondre | Arborescence
Ouvrir ce message en vue arborescente
|  
Signaler un Contenu Inapproprié

Re: Problème avec Frescobaldi après l'installation de Ubuntu 17.04

JMarc
euh, tu peux nous envoyer le fichier de test que tu utilises, stp ?

A+

JM


Le 27/04/2017 à 13:47, Gilles Tiar a écrit :

> Bonjour à tous,
> (Même message avec infos visibles, je les avais mises en texte brut)
> Je viens de faire une nouvelle installation de Ubuntu (17.04), je réinstalle
> comme d'habitude mes logiciels. Une erreur interne paraît avec Frescobaldi,
> voici le contenu:
>
> Traceback (most recent call last):
>   c d e f g1 }File
> "/usr/share/frescobaldi/frescobaldi_app/musicview/pointandclick.py", line
> 44, in links
> return _cache[document]
> File "/usr/lib/python3.5/weakref.py", line 394, in __getitem__
> return self.data[ref(key)]
> KeyError: <weakref at 0x7fdb0968b6d8; to 'Document' at 0x7fdb201bce58>
>
> During handling of the above exception, another exception occurred:
>
> Traceback (most recent call last):
> File "/usr/share/frescobaldi/frescobaldi_app/musicview/widget.py", line 116,
> in openDocument
> self._links = pointandclick.links(document)
> File "/usr/share/frescobaldi/frescobaldi_app/musicview/pointandclick.py",
> line 54, in links
> t = textedit.link(link.url())
> File "/usr/share/frescobaldi/frescobaldi_app/textedit.py", line 48, in link
> m = textedit_match(url)
> TypeError: expected string or bytes-like object
>
>
> Voici les infos relatives à Frescobaldi:
>
> Frescobaldi: 3.0.0
> Python: 3.5.3
> python-ly: 0.9.4
> Qt: 5.7.1
> PyQt: 5.7
> sip: 4.18.1
> poppler: 0.44.0
> python-poppler-qt: 0.24.2
> OS: Linux-4.10.0-19-generic-x86_64-with-Ubuntu-17.04-zesty
>
>
> Merci pour l'aide,
>
>
>
>
> --
> View this message in context: http://lilypond-french-users.1298960.n2.nabble.com/Probleme-avec-Frescobaldi-apres-l-installation-de-Ubuntu-17-04-tp7584831p7584832.html
> Sent from the LilyPond French Users mailing list archive at Nabble.com.
>
> _______________________________________________
> liste de diffusion lilypond-user-fr
> [hidden email]
> https://lists.gnu.org/mailman/listinfo/lilypond-user-fr
>


_______________________________________________
liste de diffusion lilypond-user-fr
[hidden email]
https://lists.gnu.org/mailman/listinfo/lilypond-user-fr
JMarc LEGRAND
Editions IN NOMINE
Répondre | Arborescence
Ouvrir ce message en vue arborescente
|  
Signaler un Contenu Inapproprié

Re: Problème avec Frescobaldi après l'installation de Ubuntu 17.04

Gilles Tiar
Tu veux dire quelque chose comme ça ? :

\version "2.19.59"

{ c d e f g }
Répondre | Arborescence
Ouvrir ce message en vue arborescente
|  
Signaler un Contenu Inapproprié

Re: Problème avec Frescobaldi après l'installation de Ubuntu 17.04

Vincent Gay
En réponse à ce message posté par Gilles Tiar
Le 27/04/2017 à 13:47, Gilles Tiar a écrit :
Traceback (most recent call last):
bon, clairement c'est une erreur python et non lilypond, c'est donc là qu'il faut chercher. Sur la page de Frescobaldi il est indiqué :

Frescobaldi 3 needs Python version 3.4+, PyQt5 and Python-Poppler-Qt5. And of course python-ly and Python-PortMidi, installed for the same Python version.

Installation order:

vérifie déjà que tu as tout ça (i.e. que toutes les dépendances ont été résolues) pour ta version de python 3 que tu as (3.5 semble-t-il)

--
Vincent Gay
Envoyé depuis mon saxo-phone :)
http://blog.vintherine.org/ - http://photos.vintherine.org/

_______________________________________________
liste de diffusion lilypond-user-fr
[hidden email]
https://lists.gnu.org/mailman/listinfo/lilypond-user-fr

signature.asc (849 bytes) Download Attachment
Répondre | Arborescence
Ouvrir ce message en vue arborescente
|  
Signaler un Contenu Inapproprié

Re: Problème avec Frescobaldi après l'installation de Ubuntu 17.04

Gilles Tiar
J'ai semble-t-il tous les pythons, sauf Python-PortMidi:

python 3.5
python3-pyqt5
python3-ly
python3-poppler-qt5
python-pygame (que j'ai installé à la place de Python-PortMidi

Même message d'erreur
Répondre | Arborescence
Ouvrir ce message en vue arborescente
|  
Signaler un Contenu Inapproprié

Re: Problème avec Frescobaldi après l'installation de Ubuntu 17.04

Vincent Gay
Le 27/04/2017 à 15:55, Gilles Tiar a écrit :
J'ai semble-t-il tous les pythons, sauf Python-PortMidi:

python 3.5
python3-pyqt5
python3-ly
python3-poppler-qt5
python-pygame (que j'ai installé à la place de Python-PortMidi

Hum... ceci ne nous garanti pas que ces extensions aient été compilés pour python 3.5

Chez moi j'ai ça :

Frescobaldi: 3.0.0

Python: 3.6.0

python-ly: 0.9.5

Qt: 5.8.0

PyQt: 5.8

sip: 4.19.1

poppler: 0.52.0

python-poppler-qt: 0.24.1

OS: Linux-4.10.2-1-ARCH-x86_64-with-arch


Question : ton erreur Frescobaldi c'est au moment de la compilation de ton test que tu as une erreur, ou au lancement ?


Si tu peux le lancer, même vide, regarde ce qu'il te donne comme dépendances dans Aide -> À propos -> onglet version.



--
Vincent Gay
Envoyé depuis mon saxo-phone :)
http://blog.vintherine.org/ - http://photos.vintherine.org/

_______________________________________________
liste de diffusion lilypond-user-fr
[hidden email]
https://lists.gnu.org/mailman/listinfo/lilypond-user-fr

signature.asc (849 bytes) Download Attachment
Répondre | Arborescence
Ouvrir ce message en vue arborescente
|  
Signaler un Contenu Inapproprié

Re: Problème avec Frescobaldi après l'installation de Ubuntu 17.04

Gilles Tiar
Le logiciel s'ouvre, la  compilation va jusqu'à son terme, mais une fenêtre d'erreur paraît. Voici le message du journal :

"Démarrage lilypond 2.19.59 [Sans titre]...
Traitement de « /tmp/frescobaldi-pwo48sey/tmpqgex3yz3/document.ly »
Analyse...
Interprétation en cours de la musique...
Pré-traitement des éléments graphiques...
Détermination du nombre optimal de pages...
Répartition de la musique sur une page...
Dessin des systèmes...
Sortie mise en page vers « /tmp/lilypond-xhmh9y »...
Conversion à « document.pdf »...
Suppression de « /tmp/lilypond-xhmh9y »...
Compilation menée à son terme, avec succès.
Terminé avec succès en 1.8"."

En entrant dans le dossier /tmp/frescobaldi-pwo48sey/tmpqgex3yz3/ , je vois le PDF correct (ce que je ne vois pas dans la fenêtre dédiée de Frescobaldi).

J'ai posté dans mon premier message les infos que tu me demandes, les revoilà:

Frescobaldi: 3.0.0
Python: 3.5.3
python-ly: 0.9.4
Qt: 5.7.1
PyQt: 5.7
sip: 4.18.1
poppler: 0.44.0
python-poppler-qt: 0.24.2
OS: Linux-4.10.0-20-generic-x86_64-with-Ubuntu-17.04-zesty

Merci
Répondre | Arborescence
Ouvrir ce message en vue arborescente
|  
Signaler un Contenu Inapproprié

Re: Problème avec Frescobaldi après l'installation de Ubuntu 17.04

Gilles Tiar
En réponse à un message privé de JJ Gerbaud:
"La compilation se fait mais elle n'est pas enregistrée ! Et en effet, il peut être utile de faire des essais avant d'enregistrer ce qu'on vient de faire.

Si tu retournes dans ton fichier.ly, tu compiles et tu enregistres et tu verras que le PDF apparaît bien au bon endroit. "

Oui les fichiers apparaissent au bon endroit, mais il y a toujours le même message d'erreur et toujours pas de pdf dans la fenêtre de Frescobaldi.

Merci,

Gilles
Répondre | Arborescence
Ouvrir ce message en vue arborescente
|  
Signaler un Contenu Inapproprié

Re: Problème avec Frescobaldi après l'installation de Ubuntu 17.04

Gilles Tiar
Bonjour à tous,

J'ai vu ce matin que mon problème semble relever d'un bug reporté : https://bugs.launchpad.net/ubuntu/+source/frescobaldi/+bug/1676474

Patience donc !
Chargement...